package nl.v2b.lalaland;

import nl.v2b.lalaland.storage.application.StorageService;
import org.h2.tools.Server;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.context.annotation.Bean;

import java.sql.SQLException;

@SpringBootApplication
@EnableGlobalMethodSecurity(jsr250Enabled=true)
public class LalalandApplication extends SpringBootServletInitializer {
    public static void main(String[] args) {
        SpringApplication.run(LalalandApplication.class, args);
    }
    @Bean(initMethod = "start", destroyMethod = "stop")
    @ConditionalOnProperty(prefix = "lalaland", name = "deployment-type",havingValue="local")
    public Server inMemoryH2DatabaseaServer() throws SQLException {
        return Server.createTcpServer(
                "-tcp", "-tcpAllowOthers", "-tcpPort", "9090");
    }
    @Bean
    CommandLineRunner init(StorageService storageService) {
        return args -> storageService.init();
    }
}
