package nl.v2b.lalaland.data;

import jakarta.persistence.AttributeConverter;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;


public class AnswerConverter implements AttributeConverter<List<String>, String> {

	@Override
	public String convertToDatabaseColumn(List<String> answers) {
		return answers.stream()
				.map(Objects::toString)
				.collect((Collectors.joining(",")));
	}

	@Override
	public List<String> convertToEntityAttribute(String s) {
		return Arrays.stream(s.split(","))
				.map(String::valueOf)
				.collect(Collectors.toList());
	}

}

