package nl.v2b.lalaland.data;

import nl.v2b.lalaland.domain.Player;
import nl.v2b.lalaland.domain.User;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface SpringUserRepository extends JpaRepository<User, Integer> {
	Optional<User> findByAuth0(String sub);

	void deleteByAuth0(String sub);

	Page<User> findAll(Pageable pageable);

	Page<User> findUsersByNameContainingIgnoreCase(String name, Pageable pageable);

	@Query(value="from Player player")
	List<Player> getPlayers();

	@Modifying
	@Query(value = "UPDATE LALALAND_USER SET DTYPE=?2 WHERE ID=?1", nativeQuery = true)
	void setDType(int userId, String dType);
}
