package nl.v2b.lalaland.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import nl.v2b.lalaland.domain.submission.*;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.OneToMany;
import java.util.ArrayList;
import java.util.List;

@Entity
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class Player extends User {
	@OneToMany(mappedBy="player", cascade = CascadeType.REMOVE)
	private List<Submission> submissions=new ArrayList<>();
	@Override
	public List<String> getRoles() {
		return List.of("PLAYER");
	}

	public int getScore() {
		return submissions.stream().filter(submission->submission.getState()==State.PASSED).map(submission->submission.getChallenge().getPointValue()).mapToInt(Integer::intValue).sum();
	}
}