package nl.v2b.lalaland.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

import jakarta.persistence.*;
import jakarta.validation.constraints.NotEmpty;
import java.util.List;
import java.util.stream.Collectors;

@Data
@Entity
@NoArgsConstructor
@Table(name="lalalandUser")
public abstract class User {
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	private int id;
	private String name;
	private String picUrl;
	@NotEmpty
	private String auth0;
	private String email;
	private boolean blocked;
	private boolean paid;
	public List<String> getRoles() {
		return List.of();
	}
	public List<SimpleGrantedAuthority> getAuthorities() {
		return getRoles().stream().map(item->new SimpleGrantedAuthority("ROLE_"+item)).collect(Collectors.toList());
	}
}
