package nl.v2b.lalaland.domain.challenges;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.NoArgsConstructor;
import nl.v2b.lalaland.domain.Category;
import nl.v2b.lalaland.domain.submission.Submission;
import nl.v2b.lalaland.storage.domain.LalaFile;

import jakarta.persistence.*;
import java.util.List;

@Entity
@Data
@NoArgsConstructor
public abstract class Challenge implements ChallengeInterface {
	@Id
	@GeneratedValue
	protected int id;
	protected String title;
	@Column(length = 1024)
	protected String description;
	@ManyToOne
	protected Category category;
	protected int pointValue;
	@ManyToOne
	protected LalaFile file;
    @OneToMany(cascade=CascadeType.ALL,mappedBy="challenge")
    @JsonIgnore
    protected List<Submission> submission;
    protected boolean archive;


	protected Challenge(int pointValue, String description, String title, LalaFile file, Category category) {
		this.pointValue = pointValue;
		this.description = description;
		this.title = title;
		this.file = file;
		this.archive = false;
		this.category = category;
	}

	public void addSubmission(Submission submission) {
		this.submission.add(submission);
	}
}
