package nl.v2b.lalaland.domain.challenges;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import nl.v2b.lalaland.domain.Category;
import nl.v2b.lalaland.domain.State;
import nl.v2b.lalaland.domain.submission.MediaSubmission;
import nl.v2b.lalaland.storage.domain.LalaFile;

import jakarta.persistence.Entity;

@Entity
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class MediaChallenge extends Challenge {

	public MediaChallenge(int pointValue, String description, String title, LalaFile file, Category category) {
		super(pointValue, description, title, file, category);
	}

	public void gradeSubmission(MediaSubmission sub, boolean passed) {
		if (passed) sub.setState(State.PASSED);
		else sub.setState(State.FAILED);
	}
	public ChallengeType getType() {
		return ChallengeType.Media;
	}
}
