package nl.v2b.lalaland.presentation.dtos;

import lombok.Data;
import nl.v2b.lalaland.domain.Category;

import java.util.List;
import java.util.stream.Collectors;

@Data
public class CategoryResponseDTO {

	public final int id;
	public final String title;
	public final List<ChallengeResponseDto> challenges;

	public CategoryResponseDTO(Category category){
		this.id = category.getId();
		this.title = category.getTitle();
		this.challenges = category.getChallenges().stream().map(ChallengeResponseDto::new).collect(Collectors.toList());
	}

}
