package nl.v2b.lalaland.presentation.dtos;

import lombok.Data;
import nl.v2b.lalaland.domain.challenges.Challenge;
import nl.v2b.lalaland.domain.challenges.MediaChallenge;
import nl.v2b.lalaland.domain.challenges.TextChallenge;

@Data
public class ChallengeResponseDto {
	public final Integer id;
	public final int point;
	public final String description;
	public final String title;
	public final String file;
	public final String type;
	public final String category;
	public final int categoryId;
	public final boolean archive;
	public final String categoryName;

	public ChallengeResponseDto(Challenge challenge) {
		this.type=challenge.getType().toString();
		this.category = challenge.getCategory().getTitle();
		this.categoryId = challenge.getCategory().getId();
		this.id = challenge.getId();
		this.archive = challenge.isArchive();
		this.description = challenge.getDescription();
		this.point = challenge.getPointValue();
		this.title = challenge.getTitle();
		if (challenge.getFile() != null) file = challenge.getFile().getUrl();
		else file = "";
		this.categoryName = challenge.getCategory().getTitle();
	}
}
