package nl.v2b.lalaland.presentation.dtos;

import nl.v2b.lalaland.domain.Player;
import nl.v2b.lalaland.domain.User;

public class UserDTO {
    public final int id;
    public final String fullname;
    public final String email;
    public final int score;
    public final boolean blocked;
    public final boolean paid;
    public final String picture;
    public final String userType;

    public UserDTO(User user) {
        this.userType=user.getClass().getSimpleName();
        if (user instanceof Player) {
            this.score = ((Player) user).getScore();
        } else {
            this.score = 0;
        }
        this.id = user.getId();
        this.fullname = user.getName();
        this.email = user.getEmail();
        this.blocked = user.isBlocked();
        this.paid = user.isPaid();
        this.picture = user.getPicUrl();
    }
}
