package nl.v2b.lalaland.security;

import nl.v2b.lalaland.application.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.security.core.Authentication;
import org.springframework.security.oauth2.core.oidc.user.OidcUser;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.transaction.Transactional;
import java.io.IOException;

@Transactional
public class CreateUserOnLogin implements AuthenticationSuccessHandler {
    @Autowired
    private UserService service;
    @Value( "${lalaland.login-url}" )
    private String loginUrl;
    @Override
    public void onAuthenticationSuccess(final HttpServletRequest request, final HttpServletResponse response, final Authentication authentication) throws IOException {
        OidcUser oidcUser=((OidcUser) authentication.getPrincipal());
        String sub=oidcUser.getSubject();
        service.createIfNotExists(sub,oidcUser.getEmail(), oidcUser.getFullName(), oidcUser.getPicture());
        response.sendRedirect(loginUrl);
    }
}