package nl.v2b.lalaland.storage.application;

import nl.v2b.lalaland.storage.data.SpringLalaFileRepository;
import nl.v2b.lalaland.storage.domain.LalaFile;
import org.springframework.core.io.Resource;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import jakarta.transaction.Transactional;
import java.io.IOException;

@Transactional
@Service
public class LalaFileService {
	private final StorageService storageService;
	private final SpringLalaFileRepository lalaFileRepository;

	public LalaFileService(StorageService storageService, SpringLalaFileRepository lalaFileRepository) {
		this.storageService = storageService;
		this.lalaFileRepository = lalaFileRepository;
	}

	public String save(MultipartFile multipartFile) throws IOException {
		LalaFile file=new LalaFile(multipartFile);
		file=lalaFileRepository.save(file);
		storageService.store(file.getId(),multipartFile);
		return file.getId();
	}
	public LalaFile get(String identifier) {
		return lalaFileRepository.findById(identifier).orElseThrow(FileNotFoundException::new);
	}
	public Resource getFile(String identifier) {
		return storageService.loadAsResource(identifier);
	}
}
