package nl.v2b.lalaland.storage.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.tika.Tika;
import org.hibernate.annotations.GenericGenerator;
import org.springframework.web.multipart.MultipartFile;

import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.Id;
import java.io.IOException;

@Entity
@Data
@NoArgsConstructor
public class LalaFile {
	@Id
	@GeneratedValue(generator="system-uuid")
	@GenericGenerator(name="system-uuid", strategy = "uuid")
	private String id;
	private String fileName;
	private String mime;
	public LalaFile(MultipartFile multipartFile) throws IOException {
		Tika tika = new Tika();
		mime=tika.detect(multipartFile.getInputStream());
		this.fileName = multipartFile.getOriginalFilename();
	}
	public String getUrl() {
		return "/api/files/download/"+id;
	}
}
