package nl.v2b.lalaland.storage.presentation;

import nl.v2b.lalaland.storage.application.LalaFileService;
import nl.v2b.lalaland.storage.domain.LalaFile;
import org.springframework.core.io.Resource;
import org.springframework.http.HttpHeaders;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Controller
@RequestMapping("/api/files")
public class FileUploadController {
	private final LalaFileService lalaFileService;

	public FileUploadController(LalaFileService lalaFileService) {
		this.lalaFileService = lalaFileService;
	}
	@PostMapping("/save")
	public @ResponseBody String handleFileUpload(@RequestParam(name="file") MultipartFile file) throws IOException {
		return lalaFileService.save(file);
	}
	@GetMapping("/download/{identifier}")
	public ResponseEntity<Resource> serveFile(@PathVariable String identifier) {
		LalaFile lalafile=lalaFileService.get(identifier);
		Resource file = lalaFileService.getFile(identifier);
		HttpHeaders responseHeaders = new HttpHeaders();
		responseHeaders.set("Content-Type",lalafile.getMime());

		return ResponseEntity.ok()
				.headers(responseHeaders)
				.body(file);
	}
}