package nl.v2b.lalaland.domain;

import nl.v2b.lalaland.domain.challenges.MediaChallenge;
import nl.v2b.lalaland.domain.submission.VideoSubmission;
import nl.v2b.lalaland.storage.domain.LalaFile;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class MediaChallengeTest {
	private MediaChallenge mediaChallenge;
	private VideoSubmission videoSubmission;
	private Player player;
	@BeforeEach
	void init() {
		this.player = new Player();
		mediaChallenge = new MediaChallenge(25,
				"Challenge desc", "Challenge Title",null,null);
		videoSubmission = new VideoSubmission(new LalaFile(), mediaChallenge, player);
	}
	@Test
	void fileGradeSuccesTest() {
		mediaChallenge.gradeSubmission(videoSubmission, true);
		assertEquals(State.PASSED, videoSubmission.getState());
	}

	@Test
	void fileGradeIncorrectTest() {
		mediaChallenge.gradeSubmission(videoSubmission, false);
		assertEquals(State.FAILED, videoSubmission.getState());
	}
}