package nl.v2b.lalaland.domain;

import nl.v2b.lalaland.domain.challenges.TextChallenge;
import nl.v2b.lalaland.domain.submission.TextSubmission;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class PlayerTest {
	private Player player;
	private TextChallenge challenge;
	private TextChallenge challenge2;
	private TextSubmission sub;


	@BeforeEach
	void construct() {
		this.player = new Player();
		this.challenge = new TextChallenge(25,
				"description", "title",
				List.of("school", "boek"),null,null);

		this.challenge2 = new TextChallenge(13,
				"description", "title",
				List.of("school", "boek"),null,null);

		this.sub = new TextSubmission("boek", challenge, this.player);
		challenge.autoGradeTextSubmission(sub);
	}

	@Test
	void raiseScoreTextSuccesTest() {
		assertEquals(25, player.getScore());
	}

	@Test
	void raiseScoreTextFailTest() {
		TextSubmission subFout = new TextSubmission("doel", this.challenge, this.player);
		challenge2.autoGradeTextSubmission(subFout);
		assertEquals(25, player.getScore());
	}

	@Test
	void raiseScoreTextMultipleSuccesTest() {
		TextChallenge challenge2 = new TextChallenge(13,
				"description", "title",
				List.of("school", "boek"),null, null);
		TextChallenge challenge3 = new TextChallenge(150,
				"description", "title",
				List.of("school", "boek"),null, null);

		TextSubmission sub2 = new TextSubmission("boek", challenge2, this.player);
		TextSubmission sub3 = new TextSubmission("boek", challenge3, this.player);

		challenge2.autoGradeTextSubmission(sub2);
		challenge3.autoGradeTextSubmission(sub3);
		assertEquals(188, this.player.getScore());
	}

}