package nl.v2b.lalaland.domain;

import nl.v2b.lalaland.domain.challenges.TextChallenge;
import nl.v2b.lalaland.domain.submission.TextSubmission;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class TextChallengeTest {
	private Player player;

	@BeforeEach
	void construct() {
		this.player = new Player();
	}

	@Test
	void GradeTextSuccesTest(){
		TextChallenge challenge = new TextChallenge(25,
				"description", "title",
				List.of("school", "boek"),null,null);
		TextSubmission sub = new TextSubmission("school", challenge, this.player);
		challenge.autoGradeTextSubmission(sub);
		assertEquals(State.PASSED, sub.getState());
	}

	//TODO tests voor scores die worden aangepast
	@Test
	void GradeTextIncorrectTest(){
		TextChallenge challenge = new TextChallenge(25,
				"description", "title",
				List.of("school", "boek"),null,null);
		TextSubmission sub = new TextSubmission("aardbei", challenge, this.player);
		challenge.autoGradeTextSubmission(sub);
		assertEquals(State.FAILED, sub.getState());
	}
}