package nl.v2b.lalaland.security;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.web.servlet.MockMvc;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;
@SpringBootTest
@AutoConfigureMockMvc
class AdminOnlyTest {
	@Autowired
	private SecurityHelper helper;
	@Autowired
	private MockMvc mockMvc;
	@Test
	void playerTest() throws Exception {
		mockMvc.perform(get("/api/adminOnly").with(helper.oidcPlayer())).andExpect(status().isForbidden());
	}
	@Test
	void adminTest() throws Exception {
		mockMvc.perform(get("/api/adminOnly").with(helper.oidcAdmin())).andExpect(status().isOk());
	}
}