package nl.v2b.lalaland.service;

import nl.v2b.lalaland.application.UserService;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;

import jakarta.transaction.Transactional;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;

@SpringBootTest
@Transactional
class UserServiceIntegrationTest {
    @Autowired
    private UserService userService;

    @AfterEach
    void deleteTestAccount() {
        int id = userService.getUser("exampleSub").get().getId();
        if (!(id == 0)) userService.deleteUser(id);
    }

    @Test
    @DisplayName("Test if user gets added to database when it does'nt exist.")
    void createUserAccount() {
        userService.createIfNotExists("exampleSub", "exampleuser@example.com", "Example User", "example.jpg");
        assertEquals("Example User", userService.getUser("exampleSub").get().getName());
    }
}
