import http from "@/http-common";

class UserDataService {
    getAll(params) {
        return http.get("/user/all", {params});
    }

    get(id) {
        return http.get(`/user/${id}`);
    }

    create(data) {
        return http.post("/user", data);
    }

    update(id, data) {
        return http.put(`/user/${id}`, data);
    }

    block(id, data) {
        return http.patch(`/user/${id}/block`, data);
    }

    delete(id) {
        return http.delete(`/user/${id}`);
    }
}

export default new UserDataService();
