import axios from "axios";

const baseURL="/api";
const instance=axios.create({
  baseURL: baseURL,
  headers: {
    'Content-Type': 'application/json',
  },
});
instance.interceptors.response.use(res=>res,err=>{
	if(err.toString()==="Error: Network Error") { //catches CORS errors thrown when redirecting api requests to authentication provider.
		alert("not logged in.")
		window.location="/api/logout"
	}
	if(err.response.status===500) {
		console.error(err);
		alert("Server error, contact an administrator.");
		return Promise.reject(false);
	}
	if(err.response.status===413) {
		alert("File size is too large.");
		return Promise.reject(false);
	}
	if(err.response.status===470) {
		window.location=baseURL+"/logout";
	}
	if(err.response.status===469) {
		alert("You have been blocked!");
		window.location=baseURL+"/logout";
	}
	return Promise.reject(err);
});
export default instance;
