// Composables
import { createRouter, createWebHistory } from "vue-router";

const routes = [
  {
    path: "/admin",
    component: () =>
      import(/* webpackChunkName: "admin" */ "../admin/views/page-admin.vue"),
    children: [
      {
        path: "lalalive",
        name: "lalalive",
        component: () =>
          import(
            /* webpackChunkName: "lalalive-admin" */ "../admin/views/page-lalalive-admin.vue"
          ),
      },
      {
        path: "users",
        name: "users",
        component: () =>
          import(
            /* webpackChunkName: "users" */ "../admin/views/page-manage-users.vue"
          ),
      },
      {
        path: "zoom",
        name: "manageMeetings",
        component: () =>
          import(
            /* webpackChunkName: "manageMeetings" */ "../admin/views/page-manage-meetings.vue"
          ),
      },
      {
        path: "challenges",
        name: "challenges-admin-view",
        children: [
          {
            path: "create",
            name: "Create",
            component: () =>
              import(
                /* webpackChunkName: "about" */ "../admin/views/page-challenge-create.vue"
              ),
          },
          {
            path: "manage",
            name: "Manage",
            component: () =>
              import(
                /* webpackChunkName: "about" */ "../admin/views/page-challenge-manage.vue"
              ),
          },
          {
            path: "judge",
            name: "judge-overview",
            component: () =>
              import(
                /* webpackChunkName: "judge-overview" */ "../admin/views/page-challenge-judge-overview.vue"
              ),
          },
          {
            path: "edit",
            name: "edit-overview",
            component: () =>
              import(
                /* webpackChunkName: "challenge-overview" */ "../admin/views/page-challenge-edit-overview.vue"
              ),
          },
          {
            path: "edit/:id",
            name: "edit",
            component: () =>
              import(
                /* webpackChunkName: "judge" */ "../admin/views/page-challenge-edit.vue"
              ),
          },
          {
            path: "judge/:id",
            name: "judge",
            component: () =>
              import(
                /* webpackChunkName: "judge" */ "../admin/views/page-challenge-judge.vue"
              ),
          },
        ],
      },
      {
        path: "categories",
        name: "categories-admin-view",
        children: [
          {
            path: "edit",
            name: "category-edit",
            component: () =>
              import(
                /* webpackChunkName: "all" */ "../admin/views/page-category-edit.vue"
              ),
          },
        ],
      },
      {
        path: "submission",
        name: "submission-admin-view",
        children: [
          {
            path: "view",
            name: "submission-overview",
            component: () =>
              import(
                /* webpackChunkName: "submission-overview" */ "../admin/views/page-submission-view.vue"
              ),
          },
        ],
      },
    ],
  },
  {
    path: "/",
    component: () => import("../layouts/DefaultLayout.vue"),
    children: [
      {
        path: "",
        name: "Home",
        component: () =>
          import(/* webpackChunkName: "home" */ "../views/page-home.vue"),
      },
      {
        path: "/loggedin",
        name: "loggedin",
        component: () =>
          import(
            /* webpackChunkName: "loggedin" */ "../views/page-loggedin.vue"
          ),
      },
      {
        path: "/loggedout",
        name: "loggedout",
        component: () =>
          import(
            /* webpackChunkName: "loggedout" */ "../views/page-loggedout.vue"
          ),
      },
      {
        path: "/challenges",
        name: "challenges",
        component: () =>
          import(
            /* webpackChunkName: "challenges" */ "../views/page-challenge-overview.vue"
          ),
      },
      {
        path: "/score",
        name: "score",
        component: () =>
          import(
            /* webpackChunkName: "challenges" */ "../views/page-highscore.vue"
          ),
      },
      {
        path: "/TaC",
        name: "Terms and Conditions",
        component: () =>
          import(
            /* webpackChunkName: "TaC" */ "../views/page-termsAndConditions.vue"
          ),
      },
      {
        path: "/PrivacyPolicy",
        name: "Privacy policy",
        component: () =>
          import(
            /* webpackChunkName: "PrivacyPolicy" */ "../views/page-privacypolicy.vue"
          ),
      },
      {
        path: "/FAQ",
        name: "Frequenty Asked Questions",
        component: () =>
          import(/* webpackChunkName: "FAQ" */ "../views/page-faq.vue"),
      },
      {
        path: "/lalalive",
        name: "LaLaLive",
        component: () =>
          import(/* webpackChunkName: "FAQ" */ "../views/page-lalalive.vue"),
      },
      {
        path: "/category/:id",
        name: "category",
        component: () =>
          import(
            /* webpackChunkName: "challenge" */ "../views/page-challenge-overview"
          ),
      },
      {
        path: "/challenge/:id",
        name: "challenge",
        component: () =>
          import(/* webpackChunkName: "challenge" */ "../views/page-challenge"),
      },
      {
        path: "/zoom",
        name: "page-zoom-overview",
        component: () =>
          import(
            /* webpackChunkName: "roomOverview" */ "../views/page-zoom-overview"
          ),
      },
      {
        path: "/zoom/:id",
        name: "zoom",
        component: () =>
          import(/* webpackChunkName: "zoom" */ "../views/page-meeting-user"),
      },
      {
        path: "/account",
        name: "account",
        component: () =>
          import(/* webpackChunkName: "account" */ "../views/page-account.vue"),
      },
    ],
  },
  {
    path: "/*",
    name: "404",
    component: () =>
      import(/* webpackChunkName: "404" */ "../views/page-404.vue"),
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
